# urmom
name: futon deploy

on:
  pull_request:
    types: [closed]
    branches: [main]
jobs:
  lint:
    runs-on: "ubuntu-latest"
    steps:
      - name: Checkout code
        uses: actions/checkout@v4

      - name: install Node.js
        uses: actions/setup-node@v3
        with: node-version:18

      - name: Install dependencies
        run: npm install

      - name: Lint with
        uses: wearerequired/lint-action@v2
        with:
          eslint: true
          prettier: true
          stylelint: true
          htmlhint: true

      # - name: Minify dashit
      #   uses: nizarmah/auto-minify@v2.1
      #   with:
      #     directory: './'
      #     output:'.'
